Subject: RE: MFC with Cygwin?
From: [email-masked] (Caspian Foxworth)

10 Apr 1998 14:47:32 -0700
Message-ID: <Pine.GSO.3.96.980407100403.2373A-100000.cygnus.gnu-win32@shell>
References: <c=US%a=_%p=Butler_Manufactu%l=BUILDINGS/BLDGSHUB/[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: "Parker, Ron" <[email-masked]>
Cc: "'gnu-win32'" <[email-masked]>

On Mon, 30 Mar 1998, Parker, Ron wrote:

> MFC is a library from Microsoft. It is not public domain, but is 
> included with many compilers because the vendors license it from MS. 
>  Unfortunately unless you have another compiler which supplies the 
> headers, libraries and DLL files, there is no way to use it with 
> cygwin32. Their license agreement, as of the last time I read it, 
> explicitly forbade redistributing the source, libraries or object 
> files with another compiler product.

Solution: Fuck Microsoft. Never in the history of the world has there been
a more oppressive, monopolistic, regimistic, overprotective,
counterproductive, lax, uncaring, backwards, evil software company. I rest
my case.

							--Caspian

> 
> Perhaps in the future someone will undertake the task of creating a PD 
> set of headers and import libraries for MFC, but AFAIK this has not 
> been done yet. If it were, it would not address the issue of obtaining 
> and redistributing the DLL files.  However, we could then rely upon 
> whatever version of MFC was shipped with the operating system.
> 
> This would be like what MingWin does for a C runtime library.  It 
> links against the OS supplied, MSVCRT.DLL.
> 
> -----Original Message-----
> From: Jason Dagit [mailto:[email-masked]]
> Sent: Thursday, March 26, 1998 1:26 AM
> To: [email-masked]
> Subject: MFC with Cygwin?
> 
> 
> I'm a newbie and I'm trying to learn win32 programming.  I keep 
> hearing
> about MicroSoft Foundation Classes.  I'm wondering, what do I need to 
> do
> to use MFC with Cygwin?  I have B19.1 and very little knowledge of
> win32  programming.  I have experience with DOS C/C++ and VB3.0, but
> thats about the extent of my programming.
> 
> Please assume I know only what it takes to compile a simple project. 
>  I
> have a generic windows application that I created following an 
> example
> on MSDN, but that's my only experience with Cygwin32.
> 
> Thank you lots,
> Jason
> -
> For help on using this list (especially unsubscribing), send a message 
> to
> "[email-masked]" with one line of text: "help".
> 
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".